## gatos 0.0.5

=== debian/changelog ===
gatos (0.0.5-22) unstable; urgency=medium

  * Fix debian watch

 -- Christian Bayle <bayle@debian.org>  Mon, 07 Apr 2025 22:57:42 +0200

gatos (0.0.5-21) unstable; urgency=medium

  * Add VCS-Browser enad VCS-Git to salsa
  * Set libibtk-dev dependency >= 0.0.14-16

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2025 14:48:03 +0100

gatos (0.0.5-20) unstable; urgency=medium

  * Massive cleanup for libtools
  * Add support for amd64
  * Add support for autotoold
  * Fix many lintian warnings
  * Fix national encoding converting to utf-8
  * Add missing misc:Depends in control file
  * Fix man section for gatos and gatos.comf
  * Set watch file
  * Add Keywords in xatitv.desktop
  * Set Forwarded as not needed on patches
  * Replace dh_movefiles with dh_install
  * Fix national encoding converting to utf-8
  * Fix many lintian warnings
  * Add support for autotoold
  * Add support for amd64
  * Fix error in patch
  * Massive cleanup for libtools

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2025 01:54:53 +0100

gatos (0.0.5-19.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965534)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Feb 2023 01:40:51 +0200

gatos (0.0.5-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fcommon to workaround FTBFS with gcc 10.
    (Closes: #982379)
  * Depend on libjpeg-turbo-progs instead of libjpeg-progs.
    (Closes: #813388)
  * Add a desktop file for xatitv. (Closes: #589540)
  * Update to the non-dead homepage in various places. (LP: #557844)

 -- Adrian Bunk <bunk@debian.org>  Sat, 27 Feb 2021 23:37:23 +0200

gatos (0.0.5-19) unstable; urgency=low

  * Replace x-dev with x11proto-core-dev (Closes: #515375)

 -- Christian Bayle <bayle@debian.org>  Mon, 27 Apr 2009 22:27:30 +0200

gatos (0.0.5-18) unstable; urgency=low

  * Applied patch to rename scanpci as scanpci.gatos to avoid naming conflict 
    with Xorgs scanpci (Closes: #457209)

 -- Christian Bayle <bayle@debian.org>  Sun, 13 Jan 2008 17:50:16 +0100

gatos (0.0.5-17) unstable; urgency=low

  * Applied patch. It corrects the problems with extra tokens after
  #endif and remove min/max operators. (Closes: #394930)

 -- Christian Bayle <bayle@debian.org>  Tue, 18 Dec 2007 21:16:55 +0100

gatos (0.0.5-16) unstable; urgency=low

  * It was reported that gatos has incorrect deb tag for package
  (no music notation) but I don't see such a debtag (Closes: #325641)
  * FTBFS: build-depends on removed xlibs-dev is solved (Closes: #346686)
  * FTBFS: invalid lvalue in assignment is solved (Closes: #337269)
  * Also try to find /etc/X11/xorg.conf (Closes: #329674) gatos: try to access
    to /etc/X11/XF86Config
  * Remade libtool stuffs
  * I'm not sure this package is still functionnal, not having any more ati tv board
    to test it.

 -- Christian Bayle <bayle@debian.org>  Wed, 18 Jan 2006 01:14:47 +0100

gatos (0.0.5-15) unstable; urgency=high

  * Apply patch to eliminates a vulnerability
  * Corrected size calculation to fix a buffer overflow
  * [src/xutils.c, CAN-2005-0016] like Non Maintainer Update
  * from stable version
  * Added forgotten install of some extra doc 

 -- Christian Bayle <bayle@debian.org>  Sat, 15 Jan 2005 01:13:25 +0100

gatos (0.0.5-14) unstable; urgency=low

  * Rebuild with a proper libgcc (closes: #279980)

 -- Christian Bayle <bayle@debian.org>  Sat,  6 Nov 2004 20:46:56 +0100

gatos (0.0.5-13) unstable; urgency=low

  * Suggest mpeg2dec instead of ucbmpeg (closes: #279386) 

 -- Christian Bayle <bayle@debian.org>  Thu,  4 Nov 2004 00:42:47 +0100

gatos (0.0.5-12) unstable; urgency=low

  * Apply patch to eliminates a vulnerability where system() trusts
    the PATH environment variable (CAN-2004-0395) (closes: #251627)
    like in NMU from stable version
  * Some cleanup in #endif in src/xatitv.cpp that was creating compile
    warnings

 -- Christian Bayle <bayle@debian.org>  Mon, 31 May 2004 18:19:20 +0200

gatos (0.0.5-6woody1) stable-security; urgency=high

  * NMU by the Security Team
  * Don't attempt to use system() to run the configuration program; just print
    a message instead.  This eliminates a vulnerability where system() trusts
    the PATH environment variable (CAN-2004-0395)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  1 May 2004 23:08:24 -0700

gatos (0.0.5-11) unstable; urgency=low

  * updated acinclude.m4 and m4/libtool.m4
  * libtoolize -c -f; aclocal; autoconf; autoheader
  * Added info in control file about no support
  for ATI AIW Radeon (closes: #197055) 

 -- Christian Bayle <bayle@debian.org>  Sat, 19 Jul 2003 01:52:53 +0200

gatos (0.0.5-10) unstable; urgency=low

  * Change package section from utils to misc 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 02:13:21 +0200

gatos (0.0.5-9) unstable; urgency=low

  * Change libgatos-dev to section libdevel 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 01:31:20 +0200

gatos (0.0.5-8) unstable; urgency=low

  * Corrected Invalid preprocessor pasting for gcc3 (closes: #196401)
  * Removed debian/conffiles to make lintian happy

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 00:58:42 +0200

gatos (0.0.5-7) unstable; urgency=low

  * Package now in section utils (closes: #145096) 
  * Package is not intended to work with AIW 8500DV (closes: #157211)
  * Old irrelevant bug on build-depends	(closes: #123706)

 -- Christian Bayle <bayle@debian.org>  Mon,  4 Nov 2002 00:32:52 +0100

gatos (0.0.5-6) unstable; urgency=low

  * Changed bad dependancy for libgatos-dev (closes: #142475)
  * I tried to compile with sparc, but it doesn't seem to be
  easy, so I consider gatos to be i386 only (closes: #141715)
  as it was formaly (closes: #138702)

 -- Christian Bayle <bayle@debian.org>  Fri, 12 Apr 2002 12:55:33 +0200

gatos (0.0.5-5) unstable; urgency=low

  * Change for autobuilder

 -- Christian Bayle <bayle@aist.enst.fr>  Thu, 14 Mar 2002 01:35:31 +0100

gatos (0.0.5-4) unstable; urgency=low


