=== debian/control ===
Source: gatos
Section: misc
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper-compat (= 10),
	libibtk-dev (>=0.0.14-16),
	libx11-dev,
	libxxf86dga-dev,
	libxxf86vm-dev,
	x11proto-core-dev
Standards-Version: 4.7.0
Homepage: http://gatos.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/gatos
Vcs-Git: https://salsa.debian.org/debian/gatos.git

Package: gatos
Architecture: i386 amd64
Suggests: mpeg2dec
Depends: ${shlibs:Depends},
	netpbm,
	libjpeg-turbo-progs,
	${misc:Depends}
Description: ATI All-in-Wonder TV capture software
 The General ATI TV and Overlay Software (GATOS) suite for
 capturing video.  This package does not require kernel
 patches, and includes:
   * xatitv: GUI TV-in-a-window application
        GUI access to all GATOS functionality, save tv-out.
   * atitv: Simple text-mode program
        Basic functionality to record video and toggle tv-out.
   * atitoppm:
   * atitogif:
   * atitojpg:
        YUV conversion utilities
   * yuvsum: video field to frame converter
        Averages all images in gatos.yuv (must all
        be same size).
   * atisplit: YUV conversion to ucbmpeg
        This splits the output file for MPEG encoding.
  This software is not intended to support most recent ATI AIW Radeon

Package: libgatos-dev
Section: libdevel
Architecture: i386 amd64
Depends: libgatos0 (= ${binary:Version}),
	libc6-dev,
	${misc:Depends}
Description: General ATI TV and Overlay Software(GATOS): Dev Lib and Headers
 The General ATI TV and Overlay Software (GATOS) suite for
 capturing video. Dev Lib and Headers.

Package: libgatos0
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends},
	${misc:Depends}
Description: General ATI TV and Overlay Software(GATOS): Runtime Libraries
 The General ATI TV and Overlay Software (GATOS) suite for
 capturing video. Runtime Libraries.
